# all files / ol/style/ fillstyle.js

100% Statements 16/16
75% Branches 6/8
100% Functions 4/4
100% Lines 16/16

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    681×

    1×
    1×

    1×

    168×

    168×

    168×

    1×
    152×

    1×
    3×
    3×

    1×
    28×
    22×

    28×

     goog.provide('ol.style.Fill');

    goog.require('ol.color');
    goog.require('ol.structs.IHasChecksum');

    /**
     * @classdesc
     * Set fill style for vector features.
     *
     * @constructor
     * @param {olx.style.FillOptions=} opt_options Options.
     * @implements {ol.structs.IHasChecksum}
     * @api
     */
    ol.style.Fill = function(opt_options) {

      var options = opt_options || {};

      /**
       * @private
       * @type {ol.Color|string}
       */
      this.color_ = options.color !== undefined ? options.color : null;

      /**
       * @private
       * @type {string|undefined}
       */
      this.checksum_ = undefined;
    };

    /**
     * Get the fill color.
     * @return {ol.Color|string} Color.
     * @api
     */
    ol.style.Fill.prototype.getColor = function() {
      return this.color_;
    };

    /**
     * Set the color.
     *
     * @param {ol.Color|string} color Color.
     * @api
     */
    ol.style.Fill.prototype.setColor = function(color) {
      this.color_ = color;
      this.checksum_ = undefined;
    };

    /**
     * @inheritDoc
     */
    ol.style.Fill.prototype.getChecksum = function() {
      if (this.checksum_ === undefined) {
        this.checksum_ = 'f' + (this.color_ ?
            ol.color.asString(this.color_) : '-');
      }

      return this.checksum_;
    };